# MarkupProperty

Struct in [Yarn.Markup](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.markup)

Inherits from `System.ValueType`

## Summary

A property associated with a [MarkupAttribute](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.markup/yarn.markup.markupattribute) .

```csharp
public struct MarkupProperty
```

## Remarks

You do not create instances of this struct yourself. It is created by objects that can parse markup, such as [Dialogue](https://docs.yarnspinner.dev/2.2/api/csharp/yarn/yarn.dialogue) .

## Properties

| Name                                                                                                                         | Description                     |
| ---------------------------------------------------------------------------------------------------------------------------- | ------------------------------- |
| [Name](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.markup/yarn.markup.markupproperty/yarn.markup.markupproperty.name)   | Gets the name of the property.  |
| [Value](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.markup/yarn.markup.markupproperty/yarn.markup.markupproperty.value) | Gets the value of the property. |

## See Also

* [Dialogue.ParseMarkup(string)](https://docs.yarnspinner.dev/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.parsemarkup): Parses a line of text, and produces a [MarkupParseResult](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.markup/yarn.markup.markupparseresult) containing the results.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.markup/yarn.markup.markupproperty.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
